Name:           dmenu
Version:        5.0
Release:        %mkrel 1
Summary:        A dynamic menu for X
License:        MIT License
Group:          Graphical desktop/Other
URL:            https://tools.suckless.org/dmenu/
Source0:        https://dl.suckless.org/tools/%{name}-%{version}.tar.xz
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xinerama)
BuildRequires:  pkgconfig(xft)

Requires:       terminus-font
Requires:       sselp

Obsoletes:      dwm-tools
Provides:       dwm-tools

%description
dmenu is a dynamic menu for X, originally designed for dwm. It manages large
numbers of user-defined menu items efficiently.


%prep
%setup -q
# No strip for debuginfo, and insert ldflags to enhance the security.
sed -i -e 's|-s ${LIBS}|%{?__global_ldflags} ${LIBS}|' config.mk

%build
%make_build CC="gcc %{optflags} %{ldflags}" \
    X11INC=%{_includedir} \
    X11LIB=%{_libdir}

%install
%make_install \
     DESTDIR=%{buildroot} \
     PREFIX=%{_prefix} \
     MANPREFIX=%{_mandir}

%files
%{_bindir}/*
%{_mandir}/man1/*


%changelog
* Mon Sep 26 2022 tex - 5.0-1pclos2022
- new version

